Subject: Re: 1.5HP PC VS 2.0HP Dewalt Router

From: [email-masked] (NCHillboy)
Date: 9 Feb 1997 13:19:54 GMT

Just went through this decision process recently myself with exactly the 2
routers that you have listed.

PC690
Pros
Don't get more standard.  Every thing bolts to it or makes an adapter for
it. 
Solid well built made to handle it
Great table router

Cons
No plunge unless you buy the plunge base 
Switch for power requires only one hand to hold the router during power up
hard jerk during power on.

Dewalt 621
Pros 
Soft Start variable speed
plenty of power
Better handles for control
Dust collection that really works
Light weight 

Cons 
New Design don't know if the bugs are worked out yet.  Have not found any
but??
More expensive

I did not want the 15 lbs monsters that are the standard plunge routers
and this just fit my needs.  A kind gentleman sent me a note that owned
them both and I bought the DeWalt blind on his advice and have been
extremely pleased with the Dewalt.  You can not go wrong with the PC but I
felt I was going more right with the 621